thrift-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Zineb Bendhiba <zbend...@redhat.com>
Subject Is 0.13.0 compatible with java 8 ?
Date Fri, 17 Jul 2020 14:03:28 GMT
Hello all,

Does the 0.13.0 java library support Java 8 ? If yes, is it built with jdk
8?

I have some issues running on JDK 8 (openjdk version "1.8.0_252"). It seems
to be incompatible since JDK9, and I feel it was built with a JDK 9+.
FYI, it works fine with JDK11, but I need it to run on JDK8.

this is the error I get :
Exception in thread "TAsyncClientManager#SelectorThread 420"
java.lang.NoSuchMethodError:
java.nio.ByteBuffer.rewind()Ljava/nio/ByteBuffer;
at
org.apache.thrift.async.TAsyncMethodCall.doWritingRequestBody(TAsyncMethodCall.java:263)
at
org.apache.thrift.async.TAsyncMethodCall.transition(TAsyncMethodCall.java:195)
at
org.apache.thrift.async.TAsyncClientManager$SelectThread.transitionMethods(TAsyncClientManager.java:143)
at
org.apache.thrift.async.TAsyncClientManager$SelectThread.run(TAsyncClientManager.java:113)

Thanks in advance

Zineb

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message